Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153143 - gam_server hangs on write()
Summary: gam_server hangs on write()
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gamin
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 20:17 UTC by Dan Williams
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-11 11:01:05 UTC


Attachments (Terms of Use)

Description Dan Williams 2005-04-01 20:17:12 UTC
FC3, using gamin-0.0.25-1.FC3.

I was editing a few documents in gedit, then hit Ctl+S to save and immediately
Ctl+O to open another file, I do this quite often.  Seems that gamin doesn't
really like that too much, as gam_server seems stuck trying to do something with
one of the files I have open in gedit (though not, I think, the one I just saved
which was NetworkManagerDevice.c).


gedit:
--------------------------------

Thread 1 (Thread -1209026880 (LWP 4925)):
#0  0x0072f7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00a4f48b in __write_nocancel () from /lib/tls/libpthread.so.0
#2  0x00320526 in gamin_write_byte (fd=18, data=0xbfe7a010 "\v", len=11) at
gam_api.c:499
#3  0x003206e9 in gamin_send_request (type=GAM_REQ_DIR, fd=18,
filename=0x8c1b4b0 "/", fr=0x8a16768, userData=0xb,
    data=0x8a14ac0, has_reqnum=0) at gam_api.c:590
#4  0x00321376 in FAMMonitorDirectory (fc=0x89f09a0, filename=0x8c1b4b0 "/",
fr=0x8a16768, userData=0xfffffe00)
    at gam_api.c:1052
#5  0x00367295 in do_monitor_add (method=0x368f00,
method_handle_return=0xfffffe00, uri=0x1,
    monitor_type=GNOME_VFS_MONITOR_DIRECTORY) at file-method.c:2241
#6  0x00d84705 in _gnome_vfs_monitor_do_add (method=0x368f00, handle=0xfffffe00,
uri=0x8a34268,
    monitor_type=GNOME_VFS_MONITOR_DIRECTORY, callback=0xfffffe00,
user_data=0xfffffe00) at gnome-vfs-monitor.c:110
#7  0x00d863b7 in gnome_vfs_monitor_add (handle=0xfffffe00, text_uri=0xfffffe00
<Address 0xfffffe00 out of bounds>,
    monitor_type=4294966784, callback=0xfffffe00, user_data=0xfffffe00) at
gnome-vfs-ops.c:765
#8  0x00fb96ec in gtk_file_system_gnome_vfs_new () from
/usr/lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so
#9  0x07b32c7b in gtk_file_system_get_folder () from /usr/lib/libgtk-x11-2.0.so.0
#10 0x07b971e0 in gtk_path_bar_get_type () from /usr/lib/libgtk-x11-2.0.so.0
#11 0x07b265f4 in shortcuts_model_filter_get_type () from
/usr/lib/libgtk-x11-2.0.so.0
#12 0x07b1be54 in gtk_file_chooser_get_current_folder () from
/usr/lib/libgtk-x11-2.0.so.0
#13 0x07b2a748 in shortcuts_model_filter_get_type () from
/usr/lib/libgtk-x11-2.0.so.0
#14 0x07b1be54 in gtk_file_chooser_get_current_folder () from
/usr/lib/libgtk-x11-2.0.so.0
#15 0x07b2a748 in shortcuts_model_filter_get_type () from
/usr/lib/libgtk-x11-2.0.so.0
#16 0x07b1be54 in gtk_file_chooser_get_current_folder () from
/usr/lib/libgtk-x11-2.0.so.0
#17 0x07b1c726 in gtk_file_chooser_set_current_folder_uri () from
/usr/lib/libgtk-x11-2.0.so.0
#18 0x08080c4c in bonobo_mdi_save_state ()
#19 0x080814fb in gedit_file_selector_open_multi ()
#20 0x0807728d in gedit_file_open ()
#21 0x002ab619 in bonobo_socket_add_id () from /usr/lib/libbonoboui-2.so.0
#22 0x00a10347 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#23 0x0424a518 in bonobo_closure_invoke_va_list () from /usr/lib/libbonobo-2.so.0
#24 0x0424a785 in bonobo_closure_invoke () from /usr/lib/libbonobo-2.so.0
#25 0xbfe7b5d0 in ?? ()
#26 0xbfe7b62c in ?? ()

gamin:
-------------------------------------

[root@localhost src]$ strace -p 5810
Process 5810 attached - interrupt to quit
write(29, "\32\0\1\0\33\0\1\0\20\0NetworkManager.c", 26 <unfinished ...>
Process 5810 detached
[root@localhost src]$

(gdb) bt
#0  0x0072f7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x007ffe43 in __write_nocancel () from /lib/tls/libc.so.6
#2  0x0804ddef in gam_client_conn_write (source=0xfffffe00, fd=29,
data=0xbfe09340, len=26) at gam_channel.c:773
#3  0x0804ee43 in gam_send_event (conn=0x809cf60, reqno=27, event=-1075801280,
path=0x80a2fce "NetworkManager.c", len=16)
    at gam_connection.c:538
#4  0x0804aa8e in gam_server_emit_event (path=0x80a2fa8
"/work/gnome/NetworkManager-STABLE/src/NetworkManager.c",
    is_dir_node=0, event=GAMIN_EVENT_CHANGED, subs=0x80b3ad0, force=0) at
gam_server.c:268
#5  0x0804b983 in gam_poll_emit_event (node=0x80a2d38,
event=GAMIN_EVENT_CHANGED, exist_subs=0x0) at gam_poll.c:242
#6  0x0804c2e2 in gam_poll_scan_directory_internal (dir_node=0x80b3540) at
gam_poll.c:526
#7  0x0804cf03 in gam_poll_scan_directory (path=0x80b3668
"/work/gnome/NetworkManager-STABLE/src") at gam_poll.c:1017
#8  0x08050f54 in gam_dnotify_pipe_handler (user_data=0x8083c78) at
gam_dnotify.c:253
#9  0x009d19c7 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#10 0x009ad7bb in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#11 0x009af242 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#12 0x009af4ef in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#13 0x0804ac86 in main (argc=1, argv=0xbfe0ba04) at gam_server.c:353
#14 0x0075ce33 in __libc_start_main () from /lib/tls/libc.so.6
#15 0x08049ec1 in _start ()
(gdb)

Comment 1 Matthew Miller 2006-07-10 22:56:48 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Dan Williams 2006-07-11 11:01:05 UTC
Calling this one fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.